Delete an annotation
DELETE
/timeline/annotations/{id}
const url = 'https://example.com/api/v1/timeline/annotations/1';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/v1/timeline/annotations/1Author-gated (403 for non-authors unless in AUTH-bypass mode).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Responses
Section titled “Responses”Deleted
Media typeapplication/json
object
deleted
required
boolean
Examplegenerated
{ "deleted": true}Invalid id
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}Authentication required
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}Not the author
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}Annotation not found
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}Failed to delete annotation
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}